Fetch the active version of a LaunchPlan.
Retrieve the active launch plan version specified by input request filters.
curl --request GET \
--url https://mycluster.domino.tech/flows/api/v1/active_launch_plans/{id.project}/{id.domain}/{id.name}import requests
url = "https://mycluster.domino.tech/flows/api/v1/active_launch_plans/{id.project}/{id.domain}/{id.name}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/flows/api/v1/active_launch_plans/{id.project}/{id.domain}/{id.name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"closure": {
"created_at": "2023-11-07T05:31:56Z",
"expected_inputs": {
"parameters": {}
},
"expected_outputs": {
"variables": {}
},
"state": "INACTIVE",
"updated_at": "2023-11-07T05:31:56Z"
},
"id": {
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>",
"resource_type": "UNSPECIFIED",
"version": "<string>"
},
"spec": {
"annotations": {
"values": {}
},
"auth": {
"assumable_iam_role": "<string>",
"kubernetes_service_account": "<string>"
},
"auth_role": {
"assumable_iam_role": "<string>",
"kubernetes_service_account": "<string>"
},
"cluster_assignment": {
"cluster_pool_name": "<string>"
},
"concurrency_policy": {
"behavior": "CONCURRENCY_LIMIT_BEHAVIOR_UNSPECIFIED",
"max": 123
},
"default_inputs": {
"parameters": {}
},
"entity_metadata": {
"launch_conditions": {
"@type": "<string>"
},
"notifications": [
{
"email": {
"recipients_email": [
"<string>"
],
"template": "<string>"
},
"pager_duty": {
"recipients_email": [
"<string>"
],
"template": "<string>"
},
"phases": [
"UNDEFINED"
],
"slack": {
"recipients_email": [
"<string>"
],
"template": "<string>"
}
}
],
"schedule": {
"cron_expression": "<string>",
"cron_schedule": {
"offset": "<string>",
"schedule": "<string>"
},
"kickoff_time_input_arg": "<string>",
"rate": {
"unit": "MINUTE",
"value": 123
}
}
},
"envs": {
"values": [
{
"key": "<string>",
"value": "<string>"
}
]
},
"execution_env_assignments": [
{
"execution_env": {
"extant": {},
"name": "<string>",
"spec": {},
"type": "<string>",
"version": "<string>"
},
"node_ids": [
"<string>"
],
"task_type": "<string>"
}
],
"fixed_inputs": {
"literals": {}
},
"interruptible": true,
"labels": {
"values": {}
},
"max_parallelism": 123,
"overwrite_cache": true,
"quality_of_service": {
"spec": {
"queueing_budget": "<string>"
},
"tier": "UNDEFINED"
},
"raw_output_data_config": {
"output_location_prefix": "<string>"
},
"role": "<string>",
"security_context": {
"run_as": {
"execution_identity": "<string>",
"iam_role": "<string>",
"k8s_service_account": "<string>",
"oauth2_client": {
"client_id": "<string>",
"client_secret": {
"env_var": "<string>",
"group": "<string>",
"group_version": "<string>",
"key": "<string>",
"mount_requirement": "ANY"
}
}
},
"secrets": [
{
"env_var": "<string>",
"group": "<string>",
"group_version": "<string>",
"key": "<string>",
"mount_requirement": "ANY"
}
],
"tokens": [
{
"client": {
"client_id": "<string>",
"client_secret": {
"env_var": "<string>",
"group": "<string>",
"group_version": "<string>",
"key": "<string>",
"mount_requirement": "ANY"
}
},
"idp_discovery_endpoint": "<string>",
"name": "<string>",
"token_endpoint": "<string>",
"type": "CLIENT_CREDENTIALS"
}
]
},
"workflow_id": {
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>",
"resource_type": "UNSPECIFIED",
"version": "<string>"
}
}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Name of the project the resource belongs to.
Name of the domain the resource belongs to. A domain can be considered as a subset within a specific project.
User provided value for the resource. The combination of project + domain + name uniquely identifies the resource. +optional - in certain contexts - like 'List API', 'Launch plans'
Query Parameters
Optional, org key applied to the resource.
Response
A successful response.
A LaunchPlan provides the capability to templatize workflow executions. Launch plans simplify associating one or more schedules, inputs and notifications with your workflows. Launch plans can be shared and used to trigger executions with predefined inputs even when a workflow definition doesn't necessarily have a default value for said input.
Values computed by the flyte platform after launch plan registration. These include expected_inputs required to be present in a CreateExecutionRequest to launch the reference workflow as well timestamp values associated with the launch plan.
Show child attributes
Show child attributes
Encapsulation of fields that uniquely identifies a Flyte resource.
Show child attributes
Show child attributes
User-provided launch plan definition and configuration values.
Show child attributes
Show child attributes
Related topics
List active versions of LaunchPlan.Fetch a LaunchPlan definition.Fetch a list of LaunchPlan definitions.Fetch a list of LaunchPlan definitions (by name)Was this page helpful?
